﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Unity;
using JobRequestModule.Views;

namespace JobRequestModule
{
	public class JobRequestModule : IModule
	{
		IRegionManager regionManager;
		IUnityContainer container;

		public JobRequestModule(IRegionManager _regionManager, IUnityContainer _container)
		{
			this.regionManager = _regionManager;
			this.container = _container;
		}

		#region IModule Members

		public void Initialize()
		{
			this.regionManager.RegisterViewWithRegion("JobRequestRegion", () => container.Resolve<JobRequestView>());

			this.regionManager.RegisterViewWithRegion("ExpanderRegion", () => container.Resolve<ExpanderContent1>());
			this.regionManager.RegisterViewWithRegion("ExpanderRegion", () => container.Resolve<ExpanderContent2>());

		}

		#endregion
	}
}
