﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Practices.Prism.UnityExtensions;
using Shell.Views;
using Microsoft.Practices.Prism.Modularity;

namespace Shell
{
	public class Bootstrapper : UnityBootstrapper
	{

		protected override DependencyObject CreateShell()
		{
			// Use the container to create an instance of the shell.
			ShellView view = Container.TryResolve<ShellView>();

			// Display the Shell as the root visual for the application.
			Application.Current.RootVisual = view;

			return view;
		}

		protected override Microsoft.Practices.Prism.Modularity.IModuleCatalog CreateModuleCatalog()
		{
			ModuleCatalog catalog = new ModuleCatalog();
			catalog.AddModule(typeof(MainJobModule.MainJobModule));
			catalog.AddModule(typeof(JobRequestModule.JobRequestModule), "MainJobModule");
			return catalog;
		}
	}
}
